Page MenuHomePhabricator

Prepare and check storage layer for pswikivoyage
Closed, ResolvedPublic

Description

This is going to be public wiki.

Event Timeline

Urbanecm changed the task status from Open to Stalled.Jun 4 2018, 12:42 PM
Urbanecm created this task.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Marostegui added a subscriber: Marostegui.

Let us know when this is created so we can sanitize it.

Mentioned in SAL (#wikimedia-operations) [2018-06-07T15:08:29Z] <marostegui> Sanitize wikis on db1124 (current sanitarium for s3) - T196362 T196358 T196359 T195008 T193187

Marostegui changed the task status from Stalled to Open.Jun 7 2018, 3:14 PM
Marostegui triaged this task as Medium priority.
Marostegui moved this task from Blocked external/Not db team to Done on the DBA board.
Marostegui added subscribers: Bstorm, bd808.

This wiki has been sanitized. Ready for the views creation cc @bd808 @Bstorm. We have to double check the script for the views works correctly before going for it as a default after changing how the grants are deployed.

@Bstorm in order not to block this on the issues we are having with the grant, I have manually run the database and grant creation on all the hosts.
Please feel free to proceed with the views creation

Seems it is working, thanks.

urbanecm@tools-bastion-02 ~ 
$ sql --cluster=analytics pswikivoyage
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 7744512
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [pswikivoyage_p]> Bye
urbanecm@tools-bastion-02 ~ 
$ sql --cluster=web pswikivoyage
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 13225461
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [pswikivoyage_p]> Bye
urbanecm@tools-bastion-02 ~ 
$
Vvjjkkii renamed this task from Prepare and check storage layer for pswikivoyage to wobaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Bstorm as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from wobaaaaaaa to Prepare and check storage layer for pswikivoyage.Jul 2 2018, 4:43 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Bstorm.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.